#!/usr/bin/ruby
DIR=File.dirname((
  f = __FILE__
  while File.lstat(f).symlink?
    f = "#{File.dirname f}/#{File.readlink f}".gsub(/^.*\/\//, "/")
  end
  f
))
require "#{DIR}/../config"
require "#{DIR}/common"
require 'fileutils'

begin
  Process.kill("SIGHUP", File.open(DAEMON_PID_FILE, &:read).to_i)
rescue Errno::ENOENT, Errno::EPERM, Errno::ESRCH
  # the daemon is not even started, pff!
end

# clean up the old daemon's data and meta-data
FileUtils.rm_rf(DAEMON_PID_FILE)
FileUtils.rm_rf(DAEMON_SOCKET_FILE)
FileUtils.rm_rf(DATA_DIR)
FileUtils.mkdir(DATA_DIR)
