set -e

make start
[ "$(./bin/filename ONE)" != "$(./bin/filename TWO)" ]

[ "$(cat "$(./bin/filename "PASS")")" == PASS ]
[ "$(cat "$(./bin/filename "PASS")" | wc -l)" == 1 ]
[ "$(cat "$(./bin/filename "PASS")" | wc -c)" == 5 ]

[ "$(cat "$(./bin/filename -n "PASS")")" == PASS ]
[ "$(cat "$(./bin/filename -n "PASS")" | wc -l)" == 0 ]
[ "$(cat "$(./bin/filename -n "PASS")" | wc -c)" == 4 ]

[ "$(cat "$(echo PASS | ./bin/filename)")" == PASS ]
[ "$(cat "$(echo PASS | ./bin/filename)" | wc -l)" == 1 ]
[ "$(cat "$(echo PASS | ./bin/filename)" | wc -c)" == 5 ]

[ "$(cat "$(echo -n PASS | ./bin/filename)")" == PASS ]
[ "$(cat "$(echo -n PASS | ./bin/filename)" | wc -l)" == 0 ]
[ "$(cat "$(echo -n PASS | ./bin/filename)" | wc -c)" == 4 ]
make stop
