set -e
rm -rf test/dummy
ruby <<'END' &
  require "src/common"
  require "socket"
  socket = UNIXSocket.force_new("test/dummy")
  socket.force_close
END
sleep 0.5
ruby <<'END'
  require "src/common"
  require "socket"
  daemon = UNIXServer.new("test/dummy")
  socket = daemon.accept
  socket.force_close
  daemon.force_close
END
wait $!
