class Symbol
  def to_proc
    Proc.new{|*args| args.shift.__send__(self, *args)}
  end
end

class IO
  def IO.force_new *args, &block
    begin
      new *args, &block
    rescue Errno::ENOENT, Errno::ECONNREFUSED
      sleep 0.1
      retry
    end
  end
  
  def force_close
    begin
      close unless closed?
    rescue IOError
    end
  end
  
  def force_flush
    begin
      flush
    rescue IOError
    end
  end
end
