set -e
rm -rf test/dummy
R="$(ruby <<'END'
  require "src/common"
  require "socket"
  require "timeout"
  begin
    timeout(0.5) {
      UNIXSocket.force_new("test/dummy")
    }
  rescue Timeout::Error
    puts "PASS"
  end
END
)"
[ "$R" == "PASS" ]
